  *, *::after, *::before {
      box-sizing: border-box;
  }

  :root {
    font:1.2em/1.4 Arial, Helvetica, sans-serif;
  }

  .container {
    max-width: 80rem;
    margin-inline: auto;

  }
    
  body {
    padding: 0;
    margin: 0;
    
  }

  header {
    background-color: #333;
    color: #fff;
    border: 5px solid #000;
  }

  header ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }

  header a {
    color: #fff;
    text-decoration: none;
    display: block;
    padding: 0.5em 1em;
    border-top: 1px solid #999;
  }

  header .title {
    font-size: 150%;
    font-style: italic;
    font-weight: bold;
    padding: 1em;
  }

  main {
    padding: 0 1em;
  }

  .cards {
    list-style: none;
    margin: 0;
    padding: 0;

    li {
      border: 5px solid #000;
      margin-block-end: 1em;
    }

    h2 {
      background-color: #333;
      color: #fff;
      margin: 0;
      padding: 0.5em 1em;
    }

    .inner {
      padding: 0.5em 1em;
    }

  }

  .sidebar {
    background-color: #333;
    border: 5px solid #000;
    padding: 0.5em 1em;
    color: #fff;
  }

@media (min-width: 40em) {
  header .container{
    display: flex;
    justify-content: space-between;
    align-items: center;

    ul {
      display: flex;
    }

    a {
      border: 0;
    }
  }

  .cards {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;

    li { 
      flex: 0 1 16rem;
    }

  }

  main {
    display: flex;
    margin-block-start: 1rem;
    gap: 1rem;

    article {
      flex: 1 1 50rem;
    }

    aside {
      flex: 1 1 19rem;
    }
  }

}